/*
 Theme Name: Divi-Woo Child
 Theme URI: https://www.elegantthemes.com/gallery/divi/
 Description: Divi Woocommerce Child Theme
 Author: Evlum d.o.o.
 Author URI: https://evlum.com
 Template: Divi
 Version: 1.0.0
*/

/* =Theme customization starts here
------------------------------------------------------- */

/* Woocommerce Part */



#main-content .container:before {
    height: 98%;
}

form.woocommerce-ordering {
    float: right !important;
}

.woocommerce-products-header {
    margin-bottom: 20px;
}

/* Parent kategorije */

/* Stilovi za parent kategorije */
.container.parent-category-page::before {
    display: none !important;
}

.container.parent-category-page #sidebar,
.container.parent-category-page .et_pb_sidebar {
    display: none !important;
}

.container.parent-category-page #left-area {
    width: 100% !important;
    padding: 0 !important;
}

@media screen and (min-width: 1024px) {
    ul.products.columns-4 li.product {
        margin-right: 3% !important;
        width: 22.75% !important;
    }

    ul.products.columns-4 li.last.product:nth-child(4n) {
        margin-right: 0% !important;
    }

    ul.products.columns-4 li.product:nth-child(3n + 1) {
        clear: none !important;
    }

    ul.products.columns-4 li.product:nth-child(4n + 1) {
        clear: both !important;
    }

    ul.products.columns-4 li.product:nth-child(3n) {
        margin-right: 3% !important;
    }
}

/* Nesto za login */
/* Simulacija dugmeta  */
.wc-block-checkout__login-prompt,
.edit {
    background-color: black;
    color: white !important;
    padding: 5px 15px;
    border-radius: 40px;
}

.wc-block-checkout__login-prompt {
    margin-top: -72px !important;
}

/* Prikaz broja proizvoda u korpi  */

/* Korpa badge */
.cart-count-badge {
    position: absolute;
    top: -1px;
    right: -3px;
    background-color:  #E8BB78;
    color: white;
    font-size: 12px;
    font-weight: bold;
    padding: 8px 6px 10px 6px;
    border-radius: 50%;
    display: none;
    z-index: 1;
    line-height: 0;
}

.et_pb_row,
.container {
    width: 90% !important;
}

.container {
    margin-top: 50px;
    padding-top: 0px !important;
}

/* Woocomerce product loop */

.woocommerce-loop-product__title,
.woocommerce-loop-category__title {
    font-weight: 600 !important;
}

span.price {
    color: black !important;
    font-weight: 700 !important;
    font-size: 17px !important;
}

/* Efekat uvećanja proizvoda na hover */
ul.products li.product {
    transition: transform 0.3s ease;
}

ul.products li.product:hover {
    transform: scale(1.03);
    z-index: 2;
}

/* Iskljucen sale badge  */
.onsale,
.wc-block-grid__product-onsale,
.wc-block-components-product-sale-badge,
.wc-block-components-shipping-address,
.wc-block-components-product-badge,
.wc-block-components-totals-shipping__collaterals,
.wc-block-components-totals-shipping__via {
    display: none !important;
}

.wc-block-product-filter-price-slider .text input[type="text"] {
    max-width: 80px !important;
}


/* Prikaži samo na mobilnim uređajima */
@media screen and (max-width: 768px) {

    #content-area {
        display: flex;
        flex-direction: column-reverse;
    }

    .woocommerce-page ul.products li.product:nth-child(n) {
        width: 48% !important;
    }

    #sidebar {
        padding-bottom: 10px !important;
        margin-top: -40px;
    }

    #sidebar .et_pb_widget {
        margin-bottom: 0px !important;
        justify-items: right;
    }

}

/*Paginacija*/

.woocommerce nav.woocommerce-pagination ul {
    display: flex !important;
    gap: 10px !important;
    justify-content: center !important;
    list-style: none !important;
    padding: 0 !important;
    margin: 30px 0 !important;
}

.woocommerce nav.woocommerce-pagination ul li {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
}

.woocommerce nav.woocommerce-pagination ul li a,
.woocommerce nav.woocommerce-pagination ul li span {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    width: 42px !important;
    height: 42px !important;
    border-radius: 50% !important;
    background-color: #f0f0f0 !important;
    color: #000 !important;
    text-decoration: none !important;
    font-weight: bold !important;
    transition: all 0.3s ease !important;
    font-size: 16px !important;
}

.woocommerce nav.woocommerce-pagination ul li a:hover {
    background-color: #d0d0d0 !important;
}

.woocommerce nav.woocommerce-pagination ul li .current {
    background-color: #000 !important;
    color: white !important;
}

.woocommerce nav.woocommerce-pagination ul li a.next,
.woocommerce nav.woocommerce-pagination ul li a.prev {
    font-size: 20px !important;
}

.page-numbers,
.page-numbers li {
    border: none !important;
}

@media (max-width: 768px) {

    .woocommerce nav.woocommerce-pagination ul li a,
    .woocommerce nav.woocommerce-pagination ul li span {
        display: flex !important;
        align-items: center !important;
        justify-content: center !important;
        width: 30px !important;
        height: 30px !important;
        border-radius: 50% !important;
        background-color: #f0f0f0 !important;
        color: #000 !important;
        text-decoration: none !important;
        font-weight: bold !important;
        transition: all 0.3s ease !important;
        font-size: 16px !important;
    }

    .woocommerce nav.woocommerce-pagination ul {
        display: flex !important;
        gap: 22px !important;
        justify-content: center !important;
        list-style: none !important;
        padding: 0 !important;
        margin: 30px 0 !important;
    }

    ul.page-numbers {
        display: flex !important;
        flex-wrap: wrap;
    }

    .woocommerce-ordering {
        float: left !important;
    }
}


.et_overlay {
    display: none !important;
}

/* =Theme customization starts here
------------------------------------------------------- */

.category-slide {
  display: block;
  text-align: center;
  transition: transform 0.3s ease;
}
.category-slide img {
  width: 100%;
  border-radius: 12px;
  aspect-ratio: 1/1;
  object-fit: cover;
}
.category-slide h3 {
  margin-top: 10px;
  font-size: 2rem;
  font-weight: 600;
}
.category-slide:hover {
  transform: translateY(-5px);
}
.category-swiper {
  padding-bottom: 40px !important;
}

.swiper-pagination {
  margin-top: 15px;
  text-align: center;
}

.swiper-pagination-bullet {
  height: 10px !important;
  width: 10px !important;
  background: #999;
  opacity: 0.5;
  transition: opacity 0.3s, background 0.3s;
}

.swiper-pagination-bullet-active {
  background: #000;
  opacity: 1;
}

